| Home | Libraries | People | FAQ | More

## Struct template unpack_expr<Tag, Domain, Sequence>

boost::proto::result_of::unpack_expr<Tag, Domain, Sequence> — Metafunction that computes the return type of the `proto::unpack_expr()` function, within the specified domain.

## Synopsis

    // In header: <boost/proto/make_expr.hpp>

    template<typename Tag, typename Domain, typename Sequence>
    struct unpack_expr<Tag, Domain, Sequence> {
      // types
      typedef
        typename proto::result_of::make_expr<
          Tag,
          Domain,
          typename fusion::result_of::value_at_c<S, 0>::type,
          ...
          typename fusion::result_of::value_at_c<S, N-1>::type
        >::type
       type;  // Where S is a RandomAccessSequence equivalent to Sequence, and N is the size of S.
    };

## Description

Computes the return type of the `proto::unpack_expr()` function.